import request from '@/config/axios'
import { da } from 'element-plus/es/locale'

// 巷道 VO
export interface StreetVO {
  id: number // 名称
  name: string // 名称
  plcId: string // 巷道id
  plcIp: string // 巷道ip
  plcPort: number // 巷道端口
  leftType: number // 左货架类型
  leftColumn: number // 左货架列数量
  leftRow: number // 左货架行数量
  rightType: number // 右货架类型
  rightColumn: number // 右货架列数量
  rightRow: number // 右货架行数量
  camera1Id: number // 球机
  camera2Id: number // 球机
  deleted: boolean // 是否删除
}

// 巷道 API
export const StreetApi = {
  // 查询巷道分页
  getStreetPage: async (params: any) => {
    return await request.get({ url: `/logistics/street/page`, params })
  },

  // 查询巷道详情
  getStreet: async (id: number) => {
    return await request.get({ url: `/logistics/street/get?id=` + id })
  },

  // 新增巷道
  createStreet: async (data: StreetVO) => {
    return await request.post({ url: `/logistics/street/create`, data })
  },

  // 修改巷道
  updateStreet: async (data: StreetVO) => {
    return await request.put({ url: `/logistics/street/update`, data })
  },
  
  // 巷道列表
  getStreetList:  () => {
      
      const data = request.get({ url: `/logistics/street/list`})
     
      return data
  },


  // 删除巷道
  deleteStreet: async (id: number) => {
    return await request.delete({ url: `/logistics/street/delete?id=` + id })
  },

  // 删除巷道
  linkCheck: async (id: number) => {
    return await request.get({ url: `/logistics/street/linkCheck?id=` + id })
  },

  // 导出巷道 Excel
  exportStreet: async (params) => {
    return await request.download({ url: `/logistics/street/export-excel`, params })
  },

// ==================== 子表（扫码枪） ====================

  // 获得扫码枪列表
  getSensorGunListByStreetId: async (streetId) => {
    return await request.get({ url: `/logistics/street/sensor-gun/list-by-street-id?streetId=` + streetId })
  },

// ==================== 子表（光源） ====================

  // 获得光源列表
  getLightSourceListByStreetId: async (streetId) => {
    return await request.get({ url: `/logistics/street/light-source/list-by-street-id?streetId=` + streetId })
  },

// ==================== 子表（Rfid） ====================

  // 获得Rfid列表
  getRfidListByStreetId: async (streetId) => {
    return await request.get({ url: `/logistics/street/rfid/list-by-street-id?streetId=` + streetId })
  },
  
// ==================== 子表（Rfid） ====================

  // 获得Rfid列表
  getShelfCodeListByStreetId: async (streetId) => {
    return await request.get({ url: `/logistics/street/shelfCode/list-by-street-id?streetId=` + streetId })
  },
}
